Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.message
Class RPCParam

    java.lang.Object
      org.apache.axis.message.RPCParam

All Implemented Interfaces:
  Serializable

public class RPCParam
extends Object
implements Serializable

An RPC parameter

Author:
  Glen Daniels (gdaniels@macromedia.com)
See Also:
  Serialized Form

Constructor Summary
`RPCParam(javax.xml.namespace.QName qname, Object value)`
`RPCParam(String name, Object value)` Constructor for building up messages.
`RPCParam(String namespace, String name, Object value)`

Method Summary
`String` | `getName()`
`ParameterDesc` | `getParamDesc()`
`javax.xml.namespace.QName` | `getQName()`
`Object` | `getValue()`
`static Method` | `getValueSetMethod()`
`Boolean` | `getXSITypeGeneration()`
`void` | `serialize(SerializationContext context)`
`void` | `set(Object newValue)` This set method is registered during deserialization to set the deserialized value.
`void` | `setParamDesc(ParameterDesc paramDesc)`
`void` | `setRPCCall(RPCElement call)`
`void` | `setValue(Object newValue)`
`void` | `setXSITypeGeneration(Boolean value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RPCParam

    public RPCParam(String name,
                    Object value)

  Constructor for building up messages.

### RPCParam

    public RPCParam(javax.xml.namespace.QName qname,
                    Object value)

### RPCParam

    public RPCParam(String namespace,
                    String name,
                    Object value)

Method Detail

### setRPCCall

    public void setRPCCall(RPCElement call)

### getValue

    public Object getValue()

### setValue

    public void setValue(Object newValue)

### set

    public void set(Object newValue)

  This set method is registered during deserialization to set the deserialized value. If the method is called multiple times, the value is automatically changed into a container to hold all of the values.

  Parameters:
    `newValue` - is the deserialized object

### getName

    public String getName()

### getQName

    public javax.xml.namespace.QName getQName()

### getValueSetMethod

    public static Method getValueSetMethod()

### getParamDesc

    public ParameterDesc getParamDesc()

### setParamDesc

    public void setParamDesc(ParameterDesc paramDesc)

### setXSITypeGeneration

    public void setXSITypeGeneration(Boolean value)

### getXSITypeGeneration

    public Boolean getXSITypeGeneration()

### serialize

    public void serialize(SerializationContext context)
                   throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.